//Header file for CMPE490 Group 1

#include "parts/m55800/lib_m55800.h"
#include "parts/m55800/lib_m55800.h"
#include "drivers/capture/capture.h"
#include "drivers/wait/wait.h"
#include "parts/m55800/eb55.h"

#define PIO_HIGH 0
#define PIO_LOW 1
#define PIO_SET_OUT         0x0
#define PIO_CLEAR_OUT       0x1
#define MODPIN	PB3

#define VERT 0
#define HORZ 1

u_short dac0op, dac1op;
char pioWriter;
unsigned int cycles;

void POST(char *brk);
void pause(u_int c, char *brk);

//See etc.c for a description of these functions
//There may be some function prototypes missing in this
//file; copy ones as necessary from etc.c

char dacRdy();
void writeDACs();
void writeDACsn(u_short *x, u_short *y);
void scan(u_short *dacop, int speed, char pulse, char delay, char *brk);
void scan2(u_short *dac, u_short l, u_short h,char delay, char *brk);
void diPoint(u_short X1, u_short Y1, u_short X2, u_short Y2, u_short n, char fan, char *brk);
void hScan(int speed, char *brk);
void vScan(int speed, char *brk);
void hourGlass();
void ptScan();
void lSky(char *brk);
void lSkyv();
void lSky2(u_short h, char *brk);
void checkMem();
void tunnel(float *r1, float *r2, u_int period, char *brk);
void circle(char *brk);
void slowPt(char vh, u_short spd, char *brk);
void blink (u_short x, u_short y, char *brk);

void coke(char *brk);
void coke2(char *brk);
void xmas(char *brk);
void grid(char *brk);
void radiation(char *brk);
void peace(char *brk);
void welcome(char *brk);
void bio(char *brk);
